package com.ruoyi.web.stock.mapper;

import com.ruoyi.web.stock.domain.WarehouseRelatedFee;
import com.ruoyi.web.stock.domain.WarehouseRelatedFeeItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WarehouseRelatedFeeMapper {
    WarehouseRelatedFee selectById(Long id);

    List<WarehouseRelatedFee> selectList(WarehouseRelatedFee query);

    int insert(WarehouseRelatedFee entity);

    int updateTotalNoUse(Long id);

    int deleteById(@Param("id") Long id, @Param("updateBy") String updateBy);

    List<WarehouseRelatedFeeItem> selectItemsByFeeId(Long feeId);

    int insertItemsBatch(@Param("list") List<WarehouseRelatedFeeItem> list);

    int deleteItemsByFeeId(@Param("feeId") Long feeId, @Param("updateBy") String updateBy);

    Integer selectTodayMaxSeq(@Param("orgId") String orgId, @Param("dateText") String dateText);
}

